SDL_syspower.h File Reference
`#include "../SDL_internal.h"`
`#include "SDL_power.h"`
Include dependency graph for SDL_syspower.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

SDL_bool | SDL_GetPowerInfo_Linux_org_freedesktop_upower (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_Linux_sys_class_power_supply (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_Linux_proc_acpi (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_Linux_proc_apm (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_Windows (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_UIKit (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_MacOSX (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_Haiku (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_Android (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_PSP (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_WinRT (SDL_PowerState *, int *, int *)
SDL_bool | SDL_GetPowerInfo_Emscripten (SDL_PowerState *, int *, int *)

## Function Documentation

## SDL_GetPowerInfo_Android()

SDL_bool SDL_GetPowerInfo_Android | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_Emscripten()

SDL_bool SDL_GetPowerInfo_Emscripten | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_Haiku()

SDL_bool SDL_GetPowerInfo_Haiku | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_Linux_org_freedesktop_upower()

SDL_bool SDL_GetPowerInfo_Linux_org_freedesktop_upower | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_Linux_proc_acpi()

SDL_bool SDL_GetPowerInfo_Linux_proc_acpi | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_Linux_proc_apm()

SDL_bool SDL_GetPowerInfo_Linux_proc_apm | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_Linux_sys_class_power_supply()

SDL_bool SDL_GetPowerInfo_Linux_sys_class_power_supply | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_MacOSX()

SDL_bool SDL_GetPowerInfo_MacOSX | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_PSP()

SDL_bool SDL_GetPowerInfo_PSP | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_UIKit()

SDL_bool SDL_GetPowerInfo_UIKit | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_Windows()

SDL_bool SDL_GetPowerInfo_Windows | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |

## SDL_GetPowerInfo_WinRT()

SDL_bool SDL_GetPowerInfo_WinRT | ( | SDL_PowerState * | ,
|  | int * | ,
|  | int * |
| ) |  |